# Copyright 2019 Canonical Ltd
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#  http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import unittest
import unittest.mock as mock

from actions.actions import clear_sel


class ClearSelTestCase(unittest.TestCase):

    @mock.patch('actions.actions.log')
    @mock.patch('subprocess.check_output')
    @mock.patch('subprocess.check_call')
    def test_clear_sel(self, mock_check_call, mock_subprocess, mock_log):
        sel_output = "Unittest system event log output"
        mock_subprocess.return_value = sel_output
        mock_check_call.return_value = None
        clear_sel('dummy_arg')
        mock_check_call.assert_called_once_with(['action-set', "cleared_log={}".format(sel_output)])
