import io
import os
import sys
import unittest
import unittest.mock as mock

sys.path.append('files/megacli')
import check_megacli  # noqa: E402


class TestCheckMegaCLI(unittest.TestCase):
    @mock.patch('sys.stdout', new_callable=io.StringIO)
    def test_parse_output(self, mock_print):
        check_megacli.INPUT_FILE = os.path.join(
            os.getcwd(), 'tests', 'hw-health-samples', 'megacli.output.1')
        check_megacli.parse_output()
        actual = mock_print.getvalue()
        expected = 'OK: Optimal, ldrives[1], pdrives[4]\n'
        self.assertEqual(actual, expected)
